org.modeshape.jcr.query.model

## Class FullTextSearch.CompoundTerm

- java.lang.Object
- - org.modeshape.jcr.query.model.FullTextSearch.CompoundTerm

- All Implemented Interfaces:
    Iterable<FullTextSearch.Term>, FullTextSearch.Term
  Direct Known Subclasses:
    FullTextSearch.Conjunction, FullTextSearch.Disjunction
  Enclosing class:
    FullTextSearch

      public abstract static class FullTextSearch.CompoundTerm
      extends Object
      implements FullTextSearch.Term, Iterable<FullTextSearch.Term>

  A list of `FullTextSearch.Term`s.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FullTextSearch.CompoundTerm(List<FullTextSearch.Term> terms)` Create a compound term of the supplied terms.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<FullTextSearch.Term>` | `getTerms()` Get the terms that make up this compound term.
    `int` | `hashCode()`
    `Iterator<FullTextSearch.Term>` | `iterator()`
    `protected String` | `toString(String delimiter)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.query.model.FullTextSearch.Term

      `matches`

- - ### Constructor Detail

    - #### FullTextSearch.CompoundTerm

          protected FullTextSearch.CompoundTerm(List<FullTextSearch.Term> terms)

      Create a compound term of the supplied terms.
      Parameters:
        `terms` - the terms; may not be null or empty

  - ### Method Detail

    - #### getTerms

          public List<FullTextSearch.Term> getTerms()

      Get the terms that make up this compound term.
      Returns:
        the terms in the disjunction; never null and never empty

    - #### iterator

          public Iterator<FullTextSearch.Term> iterator()

      Specified by:
        `iterator` in interface `Iterable<FullTextSearch.Term>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          protected String toString(String delimiter)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.